Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.header
Class HeaderCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
                  com.puppycrawl.tools.checkstyle.checks.header.AbstractHeaderCheck
                      com.puppycrawl.tools.checkstyle.checks.header.HeaderCheck

All Implemented Interfaces:
  Configurable, Contextualizable, FileSetCheck

    public class HeaderCheck

extends AbstractHeaderCheck

Checks the header of the source against a fixed header file.

Author:
  Lars Kühne

Constructor Summary
`HeaderCheck()`

Method Summary
`protected boolean` | `isMatch(int aLineNumber, String aLine)` Checks if a code line matches the required header line.
`protected void` | `processFiltered(File aFile, List<String> aLines)` Called to process a file that matches the specified file extensions.
`void` | `setIgnoreLines(int[] aList)` Set the lines numbers to ignore in the header check.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.header.AbstractHeaderCheck
`finishLocalSetup, getHeaderLines, postprocessHeaderLines, setCharset, setHeader, setHeaderFile`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
`beginProcessing, destroy, finishProcessing, fireErrors, getMessageCollector, getMessageDispatcher, init, log, log, process, setFileExtensions, setMessageDispatcher`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Configurable
`configure`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Contextualizable
`contextualize`

Constructor Detail

### HeaderCheck

    public HeaderCheck()

Method Detail

### isMatch

    protected boolean isMatch(int aLineNumber,
                              String aLine)

  Checks if a code line matches the required header line.

  Parameters:
    `aLineNumber` - the line number to check against the header
    `aLine` - the line contents
  Returns:
    true if and only if the line matches the required header line

### setIgnoreLines

    public void setIgnoreLines(int[] aList)

  Set the lines numbers to ignore in the header check.

  Parameters:
    `aList` - comma separated list of line numbers to ignore in header.

### processFiltered

    protected void processFiltered(File aFile,
                                   List<String> aLines)

  Description copied from class: `AbstractFileSetCheck`
  Called to process a file that matches the specified file extensions.

  Specified by:
    `processFiltered` in class `AbstractFileSetCheck`
  Parameters:
    `aFile` - the file to be processed
    `aLines` - an immutable list of the contents of the file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011. All Rights Reserved.